Subject: Re: [PATCH v17 01/14] bitops: Introduce the for_each_set_clump8 macro

From: Andy Shevchenko <[email-masked]>
Date: Wed, 9 Oct 2019 20:09:17 +0300

On Thu, Oct 10, 2019 at 01:28:08AM +0900, Masahiro Yamada wrote:
> On Thu, Oct 10, 2019 at 12:27 AM William Breathitt Gray
> <[email-masked]> wrote:
> >
> > This macro iterates for each 8-bit group of bits (clump) with set bits,
> > within a bitmap memory region. For each iteration, "start" is set to the
> > bit offset of the found clump, while the respective clump value is
> > stored to the location pointed by "clump". Additionally, the
> > bitmap_get_value8 and bitmap_set_value8 functions are introduced to
> > respectively get and set an 8-bit value in a bitmap memory region.

> Why is the return type "unsigned long" where you know
> it return the 8-bit value ?

Because bitmap API operates on unsigned long type. This is not only
consistency, but for sake of flexibility in case we would like to introduce
more calls like clump16 or so.

Same comment for the rest.

-- 
With Best Regards,
Andy Shevchenko

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel